<?php
$config['p'] = array(
	'title'			=> 'p',
	'class'			=> 'volScalarField',
	'location'		=> '0',
	'object'		=> 'p',
	'dimensions'	=> '[ 0 2 -2 0 0 0 0 ]',
	'unit'			=> 'Pa/[kg/m3]',
	'default'		=> 0,
	'types'			=> array(
		'cyclicAMI',
		'empty',
		'fixedValue',
		'symmetry',
		'symmetryPlane',
		'totalPressure',
		'zeroGradient'
	)
);

$config['U'] = array(
	'title'			=> 'U',
	'class'			=> 'volVectorField',
	'location'		=> '0',
	'object'		=> 'U',
	'dimensions'	=> '[ 0 1 -1 0 0 0 0 ]',
	'unit'			=> 'm/s',
	'types'			=> array(
		'cyclicAMI',
		'empty',
		'fixedValue',
		'inletOutlet',
		'movingWallVelocity',
		'pressureInletOutletVelocity',
		'surfaceNormalFixedValue',
		'symmetry',
		'symmetryPlane',
		'zeroGradient'
	)
);

$config['k'] = array(
	'title'			=> 'k',
	'class'			=> 'volScalarField',
	'location'		=> '0',
	'object'		=> 'k',
	'dimensions'	=> '[ 0 2 -2 0 0 0 0 ]',
	'unit'			=> 'm2/s2',
	'default'		=> 1,
	'types'			=> array(
		'cyclicAMI',
		'empty',
		'fixedValue',
		'inletOutlet',
		'kqRWallFunction',
		'symmetry',
		'symmetryPlane',
		'zeroGradient'
	)
);

$config['epsilon'] = array(
	'title'			=> 'epsilon',
	'class'			=> 'volScalarField',
	'location'		=> '0',
	'object'		=> 'epsilon',
	'dimensions'	=> '[ 0 2 -3 0 0 0 0 ]',
	'unit'			=> 'm2/s3',
	'default'		=> 1,
	'types'			=> array(
		'cyclicAMI',
		'empty',
		'epsilonWallFunction',
		'fixedValue',
		'inletOutlet',
		'symmetry',
		'symmetryPlane',
		'zeroGradient'
	)
);

$config['omega'] = array(
	'title'			=> 'omega',
	'class'			=> 'volScalarField',
	'location'		=> '0',
	'object'		=> 'omega',
	'dimensions'	=> '[ 0 0 -1 0 0 0 0 ]',
	'unit'			=> 's-1',
	'default'		=> 1,
	'types'			=> array(
		'cyclicAMI',
		'empty',
		'fixedValue',
		'inletOutlet',
		'omegaWallFunction',
		'symmetry',
		'symmetryPlane',
		'zeroGradient'
	)
);

$config['nut'] = array(
	'title'			=> 'nut',
	'class'			=> 'volScalarField',
	'location'		=> '0',
	'object'		=> 'nut',
	'dimensions'	=> '[ 0 2 -1 0 0 0 0 ]',
	'unit'			=> 'm2/s',
	'default'		=> 0,
	'types'			=> array(
		'calculated',
		'empty',
		'nutkWallFunction',
		'fixedValue',
		'inletOutlet',
		'symmetry',
		'symmetryPlane',
		'zeroGradient'
	),
);
