<?php
$config['simpleFoam'] = array(
	'solver'	=> 'simpleFoam',
	'variables'	=> array(
		'flowPressure'	=> array(
			'variables'			=> 'flowPressure',
			'boundary_cond'		=> 'flowPressure'
		)
	),
	'tur_model'	=> array(
		'kEpsilon'				=> array(
			'variables'			=> 'kEpsilon',
			'boundary_cond'		=> 'kEpsilon'
		),
		'realizableKE'			=> array(
			'variables'			=> 'kEpsilon',
			'boundary_cond'		=> 'kEpsilon'
		),
		'kOmega'				=> array(
			'variables'			=> 'kOmega',
			'boundary_cond'		=> 'kOmega'
		)
	),
	'schemes'	=> array(
		'schemes'	=> array(
			'ddtSchemes'			=> array(
				'default'	=> array(
					'Euler',
					'steadyState'
				)
			),
			'gradSchemes'			=> array(
				'default'	=> array(
					'&lt;none&gt;',
					'cellLimited Gauss linear 1',
					'Gauss linear',
					'LeastSquares',
				),
				'grad(p)'	=> array(
					'&lt;default&gt;',
					'cellLimited Gauss linear 1',
					'Gauss linear',
					'LeastSquares',
				),
				'grad(U)'	=> array(
					'&lt;default&gt;',
					'cellLimited Gauss linear 1',
					'Gauss linear',
					'LeastSquares',
				)
			),
			'divSchemes'			=> array(
				'default'					=> array(
					'&lt;none&gt;',
					'bounded Gauss linear',
					'bounded Gauss linearUpwindV grad(U)',
					'bounded Gauss upwind',
					'Gauss limitedLinear 1',
					'Gauss linear',
					'Gauss linearUpwindV grad(U)',
					'limitedLinearV 1',
					'linearUpwindV grad(U)',
					'linearUpwindV limitedGrad',
					'upwind'
				),
				'div(phi,U)'				=> array(
					'&lt;default&gt;',
					'bounded Gauss linear',
					'bounded Gauss linearUpwindV grad(U)',
					'bounded Gauss upwind',
					'Gauss limitedLinear 1',
					'Gauss linear',
					'Gauss linearUpwindV grad(U)',
					'limitedLinearV 1',
					'linearUpwindV grad(U)',
					'linearUpwindV limitedGrad',
					'upwind'
				),
				'div(phi,k)'				=> array(
					'&lt;default&gt;',
					'bounded Gauss linear',
					'bounded Gauss linearUpwindV grad(U)',
					'bounded Gauss upwind',
					'Gauss limitedLinear 1',
					'Gauss linear',
					'Gauss linearUpwindV grad(U)',
					'limitedLinearV 1',
					'linearUpwindV grad(U)',
					'linearUpwindV limitedGrad',
					'upwind'
				),
				'div(phi,omega)'			=> array(
					'&lt;default&gt;',
					'bounded Gauss linear',
					'bounded Gauss linearUpwindV grad(U)',
					'bounded Gauss upwind',
					'Gauss limitedLinear 1',
					'Gauss linear',
					'Gauss linearUpwindV grad(U)',
					'limitedLinearV 1',
					'linearUpwindV grad(U)',
					'linearUpwindV limitedGrad',
					'upwind'
				),
				'div(phi,epsilon)'			=> array(
					'&lt;default&gt;',
					'bounded Gauss linear',
					'bounded Gauss linearUpwindV grad(U)',
					'bounded Gauss upwind',
					'Gauss limitedLinear 1',
					'Gauss linear',
					'Gauss linearUpwindV grad(U)',
					'limitedLinearV 1',
					'linearUpwindV grad(U)',
					'linearUpwindV limitedGrad',
					'upwind'
				),
				'div((nuEff*T(grad(U))))'	=> array(
					'&lt;default&gt;',
					'bounded Gauss linear',
					'bounded Gauss linearUpwindV grad(U)',
					'bounded Gauss upwind',
					'Gauss limitedLinear 1',
					'Gauss linear',
					'Gauss linearUpwindV grad(U)',
					'limitedLinearV 1',
					'linearUpwindV grad(U)',
					'linearUpwindV limitedGrad',
					'upwind'
				)
			),
			'laplacianSchemes'		=> array(
				'default'	=> array(
					'Gauss linear corrected',
					'Gauss linear limited 0.333',
					'Gauss linear limited 0.5',
					'Gauss linear limited corrected 0.5'
				)
			),
			'interpolationSchemes'	=> array(
				'default'	=> array(
					'linear'
				)
			),
			'snGradSchemes'			=> array(
				'default'	=> array(
					'corrected',
					'limited 0.333',
					'limited 0.5',
				)
			)
		),
		'fluxRequired'			=> array(
			'default'	=> 'no',
			'pcorr'		=> '',
			'p'			=> '',
			'Phi'		=> ''
		)
	),
	'solution'	=> array(
		'solution'	=> array(
			'SIMPLE'		=> 'SIMPLE',
			'potentialFlow'	=> 'potentialFlow'
		),
		'option'	=> array(),
		'variables'	=> 'simple'
	)
);
