<?php
$config['flowPressure'] = array(
	'title'			=> 'Flow/Pressure Condition',
	'inputs'		=> array('p', 'U'),
	'conditions'	=> array(
		'cyclicAMI'				=> array(
			'p'	=> 'cyclicAMI',
			'U'	=> 'cyclicAMI'
		),
		'empty'					=> array(
			'p'	=> 'empty',
			'U'	=> 'empty'
		),
		'fixed-U'				=> array(
			'p'	=> 'zeroGradient',
			'U'	=> 'fixedValue'
		),
		'movingWallVelocity'	=> array(
			'p'	=> 'zeroGradient',
			'U'	=> 'movingWallVelocity'
		),
		'outlet'				=> array(
			'p'	=> 'fixedValue',
			'U'	=> 'zeroGradient'
		),
		'surfaceNormal_U'		=> array(
			'p'	=> 'zeroGradient',
			'U'	=> 'surfaceNormalFixedValue'
		),
		'symmetry'				=> array(
			'p'	=> 'symmetry',
			'U'	=> 'symmetry'
		),
		'symmetryPlane'			=> array(
			'p'	=> 'symmetryPlane',
			'U'	=> 'symmetryPlane'
		)
	)
);

$config['kEpsilon'] = array(
	'title'			=> 'k/epsilon Condition',
	'inputs'		=> array('k', 'epsilon'),
	'opt_inputs'	=> array('nut'),
	'conditions'	=> array(
		'cyclicAMI'		=> array(
			'k'			=> 'cyclicAMI',
			'epsilon'	=> 'cyclicAMI'
		),
		'empty'			=> array(
			'k'			=> 'empty',
			'epsilon'	=> 'empty'
		),
		'fixedValue'	=> array(
			'k'			=> 'fixedValue',
			'epsilon'	=> 'fixedValue'
		),
		'inletOutlet'	=> array(
			'k'			=> 'inletOutlet',
			'epsilon'	=> 'inletOutlet'
		),
		'symmetry'		=> array(
			'k'			=> 'symmetry',
			'epsilon'	=> 'symmetry'
		),
		'symmetryPlane'	=> array(
			'k'			=> 'symmetryPlane',
			'epsilon'	=> 'symmetryPlane'
		),
		'wallFunction'	=> array(
			'k'			=> 'kqRWallFunction',
			'epsilon'	=> 'epsilonWallFunction'
		),
		'zeroGradient'	=> array(
			'k'			=> 'zeroGradient',
			'epsilon'	=> 'zeroGradient'
		)
	),
	'sol_exclude'	=> array('nut')
);

$config['kOmega'] = array(
	'title'			=> 'k/omega Condition',
	'inputs'		=> array('k', 'omega'),
	'conditions'	=> array(
		'cyclicAMI'		=> array(
			'k'		=> 'cyclicAMI',
			'omega'	=> 'cyclicAMI'
		),
		'empty'			=> array(
			'k'		=> 'empty',
			'omega'	=> 'empty'
		),
		'fixedValue'	=> array(
			'k'		=> 'fixedValue',
			'omega'	=> 'fixedValue'
		),
		'inletOutlet'	=> array(
			'k'		=> 'inletOutlet',
			'omega'	=> 'inletOutlet'
		),
		'symmetry'		=> array(
			'k'		=> 'symmetry',
			'omega'	=> 'symmetry'
		),
		'symmetryPlane'	=> array(
			'k'		=> 'symmetryPlane',
			'omega'	=> 'symmetryPlane'
		),
		'wallFunction'	=> array(
			'k'		=> 'kqRWallFunction',
			'omega'	=> 'omegaWallFunction'
		),
		'zeroGradient'	=> array(
			'k'		=> 'zeroGradient',
			'omega'	=> 'zeroGradient'
		)
	)
);
