<?php
class Admin extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->library('session');
		$this->load->helper('url');
	}

	public function index()
	{
		redirect('/admin/useradd');
	}

	public function login()
	{
		if ($this->session->has_userdata('admin'))
		{
			return TRUE;
		}

		$this->load->helper('form');
		$this->load->library('form_validation');

		$this->form_validation->set_rules('userid', 'User ID', 'required');
		$this->form_validation->set_rules('password', 'Password', 'required|callback_authenticate',
			array('authenticate' => 'Wrong userID or password'));

		if ($this->form_validation->run() === TRUE)
		{
			redirect(current_url());
		}

		$this->load_view('user/login', form_error(key(_get_validation_object()->error_array()), null, null));

		return FALSE;
	}

	public function useradd()
	{
		if (!$this->login())
		{
			return;
		}

		$this->load->helper('form');
		$this->load->library('form_validation');

		$this->form_validation->set_rules('userid', 'User ID', 'required');
		$this->form_validation->set_rules('password', 'Password', 'required');
		$this->form_validation->set_rules('password', 'Password Confirmation', 'required|matches[password]');

		if ($this->form_validation->run() === TRUE)
		{
			$this->load->library('c_user');
			$this->c_user->user_add($this->input->post('userid'), $this->input->post('password'));
			$this->load_view('user/setup', $this->input->post('userid').' is dded');
			return;
		}

		$this->load_view('user/setup', form_error(key(_get_validation_object()->error_array()), null, null));
	}

	public function authenticate()
	{
		$this->load->config('admin', TRUE);

		if ($this->input->post('userid') == $this->config->item('admin')['login'] && $this->input->post('password') == $this->config->item('admin')['passwd'])
		{
			$this->session->set_userdata('admin', 'admin');
			return TRUE;
		}

		return FALSE;
	}

	private function load_view($page, $error, $data = NULL)
	{
		$header = array('script_files' => array(), 'script' => NULL, 'error' => $error);
		$header['error'] = $error;
		$header['admin'] = true;
		$this->load->view('templates/header', $header);
		$this->load->view($page, $data);
		$this->load->view('templates/footer');
	}
}
