<?php
class User extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->library('session');
		$this->load->helper('url');
	}

	public function login()
	{
		$this->load->helper('form');
		$this->load->library('form_validation');

		$this->form_validation->set_rules('userid', 'User ID', 'required');
		$this->form_validation->set_rules('password', 'Password', 'required|callback_authenticate',
			array('authenticate' => 'Wrong userID or password'));

		if ($this->form_validation->run() === TRUE)
		{
			redirect('/');
		}

		$this->load_view('user/login', form_error(key(_get_validation_object()->error_array()), null, null));
	}

	public function password()
	{
		$this->load->helper('form');
		$this->load->library('form_validation');

		$this->form_validation->set_rules('password', 'Password', 'required|matches[passconf]');
		$this->form_validation->set_rules('passconf', 'Password Confirmation', 'required');

		if ($this->form_validation->run() === TRUE)
		{
			$this->load->library('c_user');

			$this->c_user->change_password($this->input->post('password'));
			redirect('/');
		}

		$this->load_view('user/password', form_error(key(_get_validation_object()->error_array()), null, null));
	}

	public function authenticate()
	{
		$this->load->library('c_user');

		if ($this->c_user->authenticate($this->input->post('userid'), $this->input->post('password')))
		{
			$this->session->set_userdata('user', array('name' => $this->input->post('userid')));
			return TRUE;
		}

		return FALSE;
	}

	public function logout()
	{
		$this->session->sess_destroy();
		redirect('user/login');
	}

	private function load_view($page, $error, $data = NULL)
	{
		$header = array('script_files' => array(), 'script' => NULL, 'error' => $error);
		$header['error'] = $error;
		$header['admin'] = false;
		$this->load->view('templates/header', $header);
		$this->load->view($page, $data);
		$this->load->view('templates/footer');
	}
}
