<?php
class MY_Controller extends CI_Controller
{
	private $header = array();
	private $data = array();

	public function __construct()
	{
		parent::__construct();

		$this->stime = time();

		$this->load->config('openfoam');
		$this->load->library('session');

		$this->load->helper('url');
		$this->load->helper('array');
		$this->load->helper('common');
		$this->load->helper('text');

		$this->header['error'] = NULL;

		if (!$this->session->has_userdata('user'))
		{
			redirect('/user/login');
		}
		session_write_close();

		$this->load->library('c_workspace');
	}

	public function set_alert($msg)
	{
		$this->header['error'] = $msg;
	}

	public function set_header($title, $script_files = array(), $script = NULL)
	{
		$this->header['title'] = $title;
		$this->header['script_files'] = $script_files;
		$this->header['script'] = $script;
		$this->header['admin'] = false;
	}

	public function set_data($key, $value)
	{
		$this->data[$key] = $value;
	}

	public function load_view($page)
	{
		$this->data['action'] = current_url().'?'.$_SERVER['QUERY_STRING'];

		$this->load->view('templates/header', $this->header);
		$this->load->view($page, $this->data);
		$this->load->view('templates/footer');
	}

	public function load_case_form($page, $submit, $buttons = array(), $multipart = FALSE)
	{
		$this->load->helper('form');

		$this->data['case_name'] = $this->c_workspace->get_name();
		$this->data['buttons'] = $buttons;
		$this->data['view'] = $page;
		$this->data['submit'] = $submit;
		$this->data['multipart'] = $multipart;
		$this->data['action'] = current_url().'?'.$_SERVER['QUERY_STRING'];
		$this->data['case'] = $this->c_case->get_case();
		$this->data['titles'] = array('general' => 'General Conditions', 'boundary' => 'Boundary Conditions', 'numerical' => 'Numerical Conditions', 'run' => 'Run Conditions');

		$this->load_view('templates/case_form');
	}
}
