<?php
defined('BASEPATH') OR exit('No direct script access allowed');

function array_value($key, $array, $default = NULL)
{
	return empty($array) ? $default : element($key, $array, $default);
}

function db_element($key, $db)
{
	return empty($db) ? NULL : array_value($key, $db[PS_DATA]);
}

function db_data($key, $db, $default = NULL)
{
	$element = db_element($key, $db);

	return $element ? $element[PS_DATA] : $default;
}

function db_entry($key, $db, $default = NULL)
{
	$data = db_data($key, $db);

	return $data ? $data[0] : $default;
}

function db_entries($key, $db, $default = NULL)
{
	$data = db_data($key, $db);

	return $data ? trim(implode(' ', $data)) : $default;
}

function foam_entry($element, $default = NULL)
{
	if (empty($element) || count($element[PS_DATA]) < 1)
	{
		return $default;
	}

	return $element[PS_DATA][0];
}

function foam_entries($element, $default = NULL)
{
	return $element ? trim(implode(' ', $element[PS_DATA])) : $default;
}

function foam_scalar($element, $default = NULL)
{
	if (empty($element) || count($element[PS_DATA]) < 1)
	{
		return $default;
	}

	return $element[PS_DATA][count($element[PS_DATA]) - 1];
}

function foam_data($element, $default = NULL)
{
	return $element ? $element[PS_DATA] : $default;
}
