<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Boundary_db extends Foam_db
{
	public function __construct()
	{
		parent::__construct();

		$this->init(array('class' => 'polyBoundaryMesh', 'location' => $this->CI->config->item('directory')['polyMesh'], 'object' => 'boundary'));
	}

	public function get_boundaries()
	{
		$data = $this->load();
		if ($data === FALSE)
		{
			return FALSE;
		}

		$list = db_data('', $data);
		if (empty($list))
		{
			return $this->set_error(110, 'Boundary file has no bounary data');
		}

		$boundaries = array();
		foreach ($list as $name => $info)
		{
			$type = db_entry('type', $info);

			if (!$type)
			{
				return $this->set_error(111, 'Boundary type is not set : '.$name);
			}

			$boundaries[$name] = array('type' => $type);
		}

		return $boundaries;
	}

	protected function write_input_data()
	{
		$this->write_line(count($this->data));
		$this->write_line('(');
		foreach($this->data as $boundary => $info)
		{
			$this->write_dictionary($boundary, $info, 1, 12);
		}
		$this->write_line(')');

		$this->write_empty_line();
		$this->write_hr_line();
	}
}
