<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Boundary_input extends Foam_input
{
	public function __construct()
	{
		parent::__construct();
		
		$this->CI->load->library('boundary_db', NULL, 'db');
	}

	public function submit_form()
	{
		$data = array();

		$boundaries = $this->get_form_data('boundaries');
		foreach($boundaries as $name)
		{
			$boundary = array();
			$boundary['type'] = $this->get_form_data($name.'_type');
			$boundary['nFaces'] = $this->get_form_data($name.'_nFaces');
			$boundary['startFace'] = $this->get_form_data($name.'_startFace');
			if ($boundary['type'] == 'cyclicAMI')
			{
				$boundary['matchTolerance'] = $this->get_form_data($name.'_matchTolerance');
				$boundary['transform'] = $this->get_form_data($name.'_transform');
				$boundary['neighbourPatch'] = $this->get_form_data($this->get_form_data($name.'_neighbourPatch').'_name');
			}
			$data[$this->get_form_data($name.'_name')] = $boundary;
		}

		$this->CI->db->save_input_data($data);
		$this->CI->c_case->set_boundaries($data);
	}

	protected function gen_inputs($values)
	{
		$this->CI->load->config('boundary_types', TRUE);

		$boundaries = foam_data($this->extract_element('', $values));
		foreach ($boundaries as $name => $info)
		{
			foreach (foam_data($info) as $key => $value)
			{
				$this->inputs[$name][$key] = foam_entry($value);
			}
		}
	}
}
