<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Control_db extends Foam_db
{
	public function __construct()
	{
		parent::__construct();

		$this->init($this->CI->config->item('run_inputs')['controlDict']);
	}

	protected function write_input_data()
	{
		foreach ($this->data['control'] as $key => $value)
		{
			if ($value != '')
			{
				$this->write_input_item($key, $value, 0, 16);
				$this->write_empty_line();
			}
		}

		if (!empty($this->data['functions']))
		{
			$this->write_line('functions');
			$this->write_line('{');
			foreach ($this->data['functions'] as $force => $info)
			{
				$this->write_line($force, 1);
				$this->write_line('{', 1);

				$this->write_entry('type', $info['type'], 2, 20);
				$this->write_entry('functionObjectLibs', '( "libforces.so" )', 2, 20);
				$this->write_entry('outputControl', 'timeStep', 2, 20);
				$this->write_entry('outputInterval', 1, 2, 20);
				$this->write_list('patches', $info['patches'], 2, 20);
				$this->write_entry('rhoName', 'rhoInf', 2, 20);

				if ($info['type'] == 'forces')
				{
					$this->write_entry('UName', 'U', 2, 20);
					$this->write_entry('pName', 'p', 2, 20);
				}
				$this->write_entry('log', 'true', 2, 20);
				$this->write_entry('rhoInf', $info['rhoInf'], 2, 20);
				$this->write_entry('CofR', $info['CofR'], 2, 20);
				if ($info['type'] == 'forceCoeffs')
				{
					$this->write_entry('liftDir', $info['liftDir'], 2, 20);
					$this->write_entry('dragDir', $info['dragDir'], 2, 20);
					$this->write_entry('pitchAxis', $info['pitchAxis'], 2, 20);
					$this->write_entry('magUInf', $info['magUInf'], 2, 20);
					$this->write_entry('lRef', $info['lRef'], 2, 20);
					$this->write_entry('Aref', $info['Aref'], 2, 20);
				}
				
				$this->write_line('}', 1);
			}
			$this->write_line('}');
			$this->write_empty_line();
		}

		$this->write_hr_line();
	}
}
