<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dynamic_mesh_db extends Foam_db
{
	public function __construct()
	{
		parent::__construct();

		$this->init($this->CI->config->item('run_inputs')['dynamicMeshDict']);
	}

	protected function write_input_data()
	{
		$this->write_input_item('dynamicFvMesh', $this->data['dynamicFvMesh'], 0, 16);
		$this->write_empty_line();

		$this->write_solid_body_motion_fv_mesh_coeffs($this->data['solidBodyMotionFvMeshCoeffs']);
	}

	private function write_solid_body_motion_fv_mesh_coeffs($data)
	{
		$this->write_line('solidBodyMotionFvMeshCoeffs');
		$this->write_line('{');
		$this->write_entry('solidBodyMotionFunction', $data['solidBodyMotionFunction'], 1, 24);
		$this->write_turbulated_6_dot_f_motion_coeffs($data['tabulated6DoFMotionCoeffs']);
		$this->write_line('}');
	}
	
	private function write_turbulated_6_dot_f_motion_coeffs($data)
	{
		$this->write_line('tabulated6DoFMotionCoeffs', 1);
		$this->write_line('{', 1);
		$this->write_entry('CofG', $data['CofG'], 2, 16);
		$this->write_entry('timeDataFileName', '"$FOAM_CASE/constant/'.$data['timeDataFileName'].'"', 2, 16);
		$this->write_line('}', 1);

		$this->write_empty_line();
		$this->write_hr_line();
	}
}
