<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class General_input extends Foam_input
{
	public function __construct($params)
	{
		parent::__construct();

		$this->CI->load->config($params['config']);
		$this->CI->load->library('properties_db', $params, 'db');
	}

	public function submit_form()
	{
		$data = array();

		foreach ($this->CI->config->item('input_items') as $key => $item)
		{
			if ($this->CI->c_case->check_condition($item))
			{
				$data[$key] = $this->get_form_data($key, $item['type']);
			}
		}

		$this->CI->db->save_input_data($data);
	}

	protected function gen_inputs($values)
	{
		foreach ($this->CI->config->item('input_items') as $key => $item)
		{
			if ($this->CI->c_case->check_condition($item))
			{
				$element = $this->extract_element($key, $values);
				$this->gen_input($key, $item, $element);
			}
		}
	}

	private function gen_input($name, $item, $element)
	{
		switch ($item['type'])
		{
			case 'select':
				$input = $this->make_input_select_gen($name, $item, foam_entry($element));
				break;
			case 'fixed':
				$input = make_input_select($name, foam_entry($element), array($this->CI->c_case->get_attr($item['value'])));
				break;
			case 'onoff':
				$input = make_input_select($name, foam_entry($element), array('on', 'off'));
				break;
			case 'dimset':
				$input = make_input_scalar($name, foam_scalar($element));
				break;
			default:
				show_error("Invalid input type : '".$item['type']."' in config '".$this->config."'");
		}

		$this->add_input('', $item['name'], $name, $input);
	}

	private function make_input_select_gen($name, $item, $value)
	{
		$input = '<select name="'.$name.'" id="'.$name.'" class="form-control">';
		foreach ($this->CI->config->item('select_attrs')[$item['ref']] as $option => $attrs)
		{
			if ($this->CI->c_case->check_condition($attrs))
			{
				$input .= '<option value="'.$option.'"'.($option == $value ? ' selected' : '').'>'.$attrs['name'].'</option>';
			}
		}
		$input .= '</select>';

		return $input;
	}
}
