<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Schemes_input extends Foam_input
{
	public function __construct()
	{
		parent::__construct();

		$this->CI->load->config('schemes', TRUE);

		$this->CI->load->library('schemes_db', NULL, 'db');
	}

	public function get_js()
	{
		$js = "$(document).ready(function() { $(\"form\").submit(function(event) { submit = true; $(\"select[id^='default']\").each(function() {";
		$js .= "if ($(this).val() == '<none>') { $(this).closest('tr').siblings().find('select').each(function() {";
		$js .= "if (submit && $(this).val() == '<default>') { alert('select ' + $(this)[0].id + ' or change default'); submit = false; } }) } }); if (!submit) event.preventDefault(); }) });";

		return $js;
	}

	public function submit_form()
	{
		$data = array();

		$schemes = $this->CI->config->item('solvers')[$this->CI->c_case->get_attr('solver')]['schemes'];
		foreach ($schemes['schemes'] as $scheme => $info)
		{
			foreach ($info as $item => $options)
			{
				$value = $this->get_form_data($scheme.'_'.$item);

				if ($value != '<default>' && $value != '<none>')
				{
					$data[$scheme][$item] = $value;
				}
			}
		}

		$data['fluxRequired'] = $schemes['fluxRequired'];
		
		$data['gradSchemes']['limitedGrad'] = 'cellLimited Gauss linear 1';

		$this->CI->db->save_input_data($data);
	}

	protected function gen_inputs($values)
	{
		foreach ($this->CI->config->item('solvers')[$this->CI->c_case->get_attr('solver')]['schemes']['schemes'] as $scheme => $info)
		{
			$scheme_element = $this->extract_element($scheme, $values);
			$default = db_element('default', $scheme_element);
			$has_default = !empty($default);

			foreach ($info as $field => $options)
			{
				$this->add_input_select($scheme, $field, $field, $scheme_element, $options, $has_default && $field != 'default');
			}
		}
	}
}
