<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Solution_db extends Foam_db
{
	public function __construct()
	{
		parent::__construct(array('list_off' => TRUE));

		$this->init($this->CI->config->item('num_inputs')['fvSolution']);
		
		$this->CI->load->config('solution', TRUE);
	}

	protected function write_input_data()
	{
		$this->write_line('solvers');
		$this->write_line('{');
		foreach ($this->data['solvers'] as $key => $value)
		{
			$this->write_dictionary($key, $value, 1, 24);
			$this->write_empty_line();
		}

		if (!empty($this->data['solvers']['p']))
		{
			$this->write_entry('Phi', '$p', 1, 16);
		}

		$this->write_line('}');
		$this->write_empty_line();

		foreach ($this->data['solution'] as $key => $value)
		{
			$value = $this->data['solution'][$key];
			$item = $this->CI->config->item('solution')[$key];

			$this->write_line($key);
			$this->write_line('{');
			foreach ($item as $name  => $info)
			{
				$this->write_entry($name, $value[$name], 1, 28);
			}
			$this->write_line('}');
			$this->write_empty_line();
		}

		$this->write_line('relaxationFactors');
		$this->write_line('{');
		foreach ($this->data['relaxationFactors'] as $key => $value)
		{
			$this->write_dictionary($key, $value, 1, 16);
			$this->write_empty_line();
		}
		$this->write_line('}');
		$this->write_empty_line();

		$this->write_hr_line();
	}
}
