<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Vector_input extends Variable_input
{
	public function __construct($params)
	{
		parent::__construct();

		$this->init($params);
	}

	protected function make_input_internal_field($values)
	{
		$this->add_input_vector('', 'Internal Field ('.$this->config['unit'].')', 'internalField', $values);
	}
	
	protected function make_boundary_inputs($boundary, $values, $type = 'zeroGradient')
	{
		$type = db_entry('type', $values, $type);

		$this->add_input($boundary, 'Type', $boundary.'_type', $this->make_input_types($boundary.'_type', $type), FALSE);

		switch ($type)
		{
			case 'empty':
			case 'symmetry':
			case 'symmetryPlane':
			case 'zeroGradient':
				break;
			case 'fixedValue':
			case 'movingWallVelocity':
			case 'pressureInletOutletVelocity':
				$this->add_input_vector($boundary, 'Value ('.$this->config['unit'].')', 'value', $values);
				break;
			case 'inletOutlet':
				$this->add_input_vector($boundary, 'Inlet Value ('.$this->config['unit'].')', 'inletValue', $values);
				$this->add_input_vector($boundary, 'Value ('.$this->config['unit'].')', 'value', $values);
				break;
			case 'surfaceNormalFixedValue':
				$this->add_input_scalar($boundary, 'Ref Value('.$this->config['unit'].')', 'refValue', $values);
				break;
		}
	}

	protected function get_form_field($name)
	{
		return $this->get_form_data($name, 'vector');
	}

	protected function get_form_boundary($name)
	{
		$boundary = array();
		
		$boundary['type'] = $this->get_form_data($name.'_type');

		switch ($boundary['type'])
		{
			case 'empty':
			case 'symmetry':
			case 'symmetryPlane':
			case 'zeroGradient':
				break;
			case 'fixedValue':
			case 'movingWallVelocity':
			case 'pressureInletOutletVelocity':
				$boundary['value'] = 'uniform '.$this->get_form_data($name.'_value', 'vector');
				break;
			case 'inletOutlet':
				$boundary['inletValue'] = 'uniform '.$this->get_form_data($name.'_inletValue', 'vector');
				$boundary['value'] = 'uniform '.$this->get_form_data($name.'_value', 'vector');
				break;
			case 'surfaceNormalFixedValue':
				$boundary['refValue'] = 'uniform '.$this->get_form_data($name.'_refValue');
				break;
		}

		return $boundary;
	}
}
