<table class="table-form" style="width:100%">
    <tr>
        <th style="width:200px">File Type</th>
        <td>
            <select name="type" id="type" class="form-control" autofocus>
<?php foreach ($converters as $name => $converter): ?>
                <option value="<?= $name ?>"><?= $name ?> (<?= $converter ?>)</option>
<?php endforeach ?>
                <option value="foamMesh">OpenFOAM Mesh (No convert)</option>
            </select>
        </td>
    </tr>
    <tr>
        <th>Mesh File</th>
        <td>
            <table style="width:100%">
                <tr>
                    <td><input type="text" name="file" id="file" class="form-control" readonly /></td>
                    <td class="text-right" style="width:70px"><button type="button" id="browse" class="btn btn-sm btn-default">Browse</button></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <th>Upload Files</th>
        <td rowspan="2" style="background-color:#f5f5f5">
            <table style="width:100%;height:100%">
                <tr>
                    <td style="width:400px"><div style="padding:9.5px;margin:0 0 10px;width:100%;height:100% overflow-y:scroll;"><ul id="filelist"></ul></div></td>
                    <td><pre id="console" style="width:100%;height:100%;border:none"></pre></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr style="height:10px"><th></th></tr>
</table>
<input type="hidden" name="upload" id="upload" />

<script type="text/javascript">
var error = false;
var mesh_file = null;
    
var uploader = new plupload.Uploader({
    browse_button: 'browse',
    url: '<?= $this->c_workspace->make_url('/upload/mesh') ?>',
    multi_selection: 'true',
    multipart: true,
    filters: {
        prevent_filename_duplicates: 'true'
    }
});
    
uploader.bind('FilesAdded', function(up, files) {
    var html = '';
    plupload.each(files, function(file) {
        if (file.name.indexOf(' ') > 0) alert(file.name + ' : Mesh file name cannot include space');
        else {        
            if ($('#type').val() == 'foamMesh') {
                $('#filelist').append('<li id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></li>');
            }
            else {
                $('#filelist').html('<li id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></li>');
                mesh_file = file;
                $('#file').val(file.name);
            }
        }
    });
});
    
uploader.bind('UploadProgress', function(up, file) {
    document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = '<span>' + file.percent + "%</span>";
});
    
uploader.bind('UploadComplete', function(up, file) {
    if (error) {
        alert('Upload failed');
    }
    else {
        document.forms[0].submit();
    }
});

uploader.bind('Error', function(up, err) {
	error = true;
	document.getElementById('console').innerHTML += "Error #" + err.code + ": " + err.message + '\n';
});
    
uploader.bind('FileUploaded', function(up, file, response) {
    if (response.response != 'OK') {
        error = true;
        document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = '<span style="color:red">failed</span>';
        document.getElementById('console').innerHTML += '- Error : ' + response.response + ' (' + file.name + ')\n';
    }
});

uploader.bind('BeforeUpload', function(up, file, cb) {
    up.settings.multipart_params = {"type": $('#type')  .val() };
});
    
plupload.addFileFilter('prevent_filename_duplicates', function(value, file, cb) {
	if (value && $('#type').val() == 'foamMesh') {
        var ii = this.files.length;
        while (ii--) {
            if (file.name === this.files[ii].name) {
                alert("File '" + file.name + "' cannot upload - duplicated file name");
                cb(false);
                return;
            }
        }
	}

    cb(true);
});

$('#OK').click(function() {
    if ($('#type').val() == 'foamMesh') {
        if (uploader.files.length < 1) {
            alert('Select mesh files');
            return false;
        }
    }
    else {
        if (!document.getElementById('file').value) {
            alert('Select mesh file');
            return false;
        }
        if (mesh_file != null && document.getElementById('file').value === mesh_file.name) {
            var ii = uploader.files.length;
            while (ii--) {
                if (mesh_file !== uploader.files[ii]) {
                    uploader.removeFile(uploader.files[ii]);
                }
            }
        }
        else {
            return false;
        }
    }
    
    uploader.start();
    return false;
});

uploader.init();
    
$('#type').change(function() {
    error = false;
    mesh_file = null;
    
    uploader.splice();
    uploader.refresh();
    
    if ($(this).val() == 'foamMesh') $('#file').val('<upload files>');
    else $('#file').val('');
    $('#filelist').html('');
    $('#console').html('');
});
</script>
